import { AssistantStorage } from '@kevisual/storage';

export class FileListenerStorage extends AssistantStorage {
  constructor() {
    super({
      app: 'file-listener',
    });
  }
  /**
   * 如果是第一次运行，则返回 true。 minio获取所有的列表，然后插入数据打哦minio当中去。
   * @returns
   */
  async checkIsFirst() {
    const data = this.getData();
    if (data['mounted'] !== true) {
      this.setData(null, { mounted: true });
      return true;
    }
    return false;
  }
}
export const storage = new FileListenerStorage();
